HTML5 INSIGHT


Если кто пропустил, то вышла версия 1.7 jquery. Подробности в официальном блоге: http://blog.jquery.com/2011/11/03/jquery-1-7-released/, а тут отмечу вот этот параграф:

Better Support for HTML5 in IE6/7/8

Anyone who has tried to use the new HTML5 tags such as <section> has no doubt run across the problem that IE 6/7/8 not only don’t understand these tags, they actually remove them from the document. With jQuery 1.7 we built in support for using HTML5 tags in older IEs with methods like.html(). This support is on par with what previously required innerShiv. You must still includehtml5shiv (or Modernizr) in the head of your document in older IEs for HTML5 tag support. For more background, see The Story of the HTML5 Shiv.

Вы все правильно поняли, с обновленным jQuery работать с семантическими тегами из спецификации html5 в старых браузерах стало еще удобнее.